> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentmod.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Moderate Image



## OpenAPI

````yaml POST /image
openapi: 3.0.0
info:
  version: 1.0.0
  title: ContentMod Api
servers:
  - url: https://api.contentmod.io
security: []
paths:
  /image:
    post:
      requestBody:
        description: image
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                image:
                  type: string
                  minLength: 1
                  description: Url of an image or base 64 encoded image string
                  example: This is a very cool api
                options:
                  type: object
                  properties:
                    meta:
                      type: object
                      properties: {}
                    callbackUrl:
                      type: string
                      format: uri
                    defer:
                      type: boolean
                    actorId:
                      type: string
              required:
                - image
      responses:
        '200':
          description: Response of the moderated image
          content:
            application/json:
              schema:
                type: object
                properties:
                  summary:
                    type: object
                    properties:
                      totalFlags:
                        type: number
                        description: Total flags
                        example: 1
                      contentRating:
                        type: string
                        description: >-
                          Content rating of the image (e.g. G, PG, PG-13, R,
                          NC-17)
                        example: G
                      language:
                        type: string
                        description: The language code of the text, eg. en, fr, de
                        example: en
                    required:
                      - totalFlags
                      - contentRating
                      - language
                  isSafe:
                    type: boolean
                    description: Whether the image is considered safe
                    example: true
                  confidence:
                    type: number
                    description: Confidence of the safety of the image from 1-100
                    example: 90
                  description:
                    type: string
                    description: A short description of what the image depicts
                    example: This is a description
                  riskScores:
                    type: object
                    properties:
                      overall:
                        type: number
                        description: Overall risk score from 1-100
                        example: 90
                      spam:
                        type: number
                        description: Score from 1-100 wether the image is spam
                        example: 90
                      toxicity:
                        type: number
                        description: Score from 1-100 wether the image is malicious/toxic
                        example: 90
                    required:
                      - overall
                      - spam
                      - toxicity
                  topics:
                    type: array
                    items:
                      type: string
                    description: >-
                      General topics the image depicts, lowercase and no
                      punctuation
                    example:
                      - politics
                      - sports
                  nsfwCategories:
                    type: array
                    items:
                      type: object
                      properties:
                        category:
                          type: string
                          description: The category
                          example: sexual
                        severity:
                          type: number
                          description: Severity level of the category from 1-100
                          example: 90
                      required:
                        - category
                        - severity
                    example:
                      - category: sexual
                        severity: 90
                  suggestedActions:
                    type: object
                    properties:
                      reject:
                        type: boolean
                        description: Whether to reject the image
                        example: true
                      review:
                        type: boolean
                        description: Whether to flag the image
                        example: true
                    required:
                      - reject
                      - review
                  meta:
                    nullable: true
                    description: The metadata of the request
                    example: This is the metadata
                  hash:
                    type: string
                    description: SHA-256 hash of the image
                    example: >-
                      93a08bd10cd367bf83f12ba6590fcaef2f8deec8a47ce4ce88a15c7dda325ffa
                required:
                  - summary
                  - isSafe
                  - confidence
                  - description
                  - riskScores
                  - topics
                  - nsfwCategories
                  - suggestedActions
                  - hash
        '201':
          description: Returns 201 moderation created with the id
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                required:
                  - id
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````